Link UPI ID
POST/v1/users/upi-link
Link user's UPI ID. Each user can link a maximum of 50 UPI IDs.
Request
Responses
- 200
- 400
- 401
UPI ID submitted for verification. Poll GET /v1/users/get-upi-status/{referenceId} to track verification progress. Check the status field for the final result:
SUCCESS— UPI ID verified and ready to use for ordersFAILED— Verification failed; the UPI ID is invalid or could not be verified
Bad Request — one of several validation failures:
invalid upiId format— UPI ID does not match VPA format (handle@bank)Invalid VPA—upiIdfield is empty in the requestKYC not verified— Complete KYC before linking a UPI ID. Use the KYC Widget orPOST /v1/users/upload/kycMaximum limit of adding UPI IDs reached— Each user can link a maximum of 50 UPI IDs
Unauthorized — missing or expired Bearer token or API key.